haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Signal

# Documentation

data Signal Source #

Constructors

Signal |

Fields

- sigName :: Text
- sigCallable :: Callable
- sigDeprecated :: Maybe DeprecationInfo
- sigDetailed :: Bool
- sigDoc :: Documentation

#### Instances

Instances details

Show Signal Source # |
Instance details Defined in Data.GI.GIR.Signal Methods showsPrec :: Int -> Signal -> ShowS Source # show :: Signal -> String Source # showList :: [Signal] -> ShowS Source #
Eq Signal Source # |
Instance details Defined in Data.GI.GIR.Signal Methods (==) :: Signal -> Signal -> Bool Source # (/=) :: Signal -> Signal -> Bool Source #

parseSignal :: Parser Signal Source #